Bug 63790 - status dock seems broken
status dock seems broken
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: gnome-core (Show other bugs)
skipjack-beta2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-18 15:23 EDT by Daniel Resare
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-18 16:32:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Resare 2002-04-18 15:23:11 EDT
Description of Problem:
'docklets' don't show up in the status dock applet but instead as a small
'regular' window in the upper left corner of the screen.

Version-Release number of selected component (if applicable):
gnome-core-1.4.0.4-48
sawfish-1.0.1-7
gabber-0.8.7-fr1
xmms-status-plugin-0.9-1
kscd-3.0.0-1

How Reproducible:
Always

Steps to Reproduce:
1. Add a status dock to your panel (Panel -> Add to panel -> status dock)
2. Start a program that uses docklets


Actual Results:
The docklet 22x22 image shows up in a separate window in the upper right corner
  of the desktop, or not at all (kscd)

Expected Results:
The docklet image should show up in the status dock

Additional Information:
The tested packages that supports status docklets is downloaded from the
following places:
http://gabber.sf.net/
http://www.hellion.org.uk/xmms-status-plugin/
Comment 1 Havoc Pennington 2002-04-18 15:44:52 EDT
This may well be a Sawfish issue. 

Most likely we aren't going to fix it until the next release. The status dock
protocol is poorly defined and kind of broken, so the whole protocol needs to be
redone (and documented) before you can effectively fix it... this is 
in the preliminary feature list for the next release, so hopefully we 
can get it done.
Comment 2 Daniel Resare 2002-04-18 16:31:57 EDT
Ah. This issue is discussed in #62652 over at bugzilla.gnome.org.

A simple workaround is to revert to sawfish 1.0
Comment 3 Havoc Pennington 2002-07-05 22:06:59 EDT
Rawhide contains a new status dock ("notification area"), though no apps use it yet.

Note You need to log in before you can comment on or make changes to this bug.